 
// Intégration du fichier SMSlib.h 
// la bibliotheque du DevKitSMS.
#include "header/SMSlib.h"
 
// En tête de la rom pour que cela soit lisible sur Master System.
SMS_EMBED_SEGA_ROM_HEADER(0,0);
SMS_EMBED_SDSC_HEADER(0,0,2018,01,02,"Monos","Carré","Test") ;


// Le Tableau de graphismes dans le même fichier main
const unsigned char Data_Tilset[]=
{
0xFF,0x00,0x00,0x00,
0x81,0x00,0x00,0x00,
0x81,0x00,0x00,0x00,
0x81,0x00,0x00,0x00,
0x81,0x00,0x00,0x00,
0x81,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00
};
 
 const unsigned char Data_Spriset[]=
{
0xFF,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00,
0xFF,0x00,0x00,0x00
};
 
// ****************************************************************
// ** Fonction main qui est la fonction initiale du programme... **
// ****************************************************************
void main (void)
{
		// Déclaration de la variable Position_X
		unsigned char Position_X = 0 ;
     
        
		// Mise en place de la palette de couleur
		SMS_setBGPaletteColor (0,0x00);
		SMS_setBGPaletteColor (1,0x0F);
		
		SMS_setSpritePaletteColor (0,0x00);
		SMS_setSpritePaletteColor (1,12);
        
		// Chargement du tiles en mémoire vidéo
        SMS_loadTiles (Data_Tilset, 1,32); 
		SMS_loadTiles (Data_Spriset, 256,32); 
        
		// Attente de la syncro verticale 
        SMS_waitForVBlank();
		
		// Affichage du tile 1 à l'écran
       // SMS_setTileatXY(0,0,1) 
		
		// Allumage de l'écran
		SMS_displayOn(); 
  
		// Affichage du sprite
		SMS_initSprites ();
		SMS_addSprite (Position_X, 16, 256);
		SMS_copySpritestoSAT ();
        // ************************
        // ** Une boucle infinie **
        // ************************
        while (1)
        {
			// Modification de la variable
			Position_X = Position_X+1; 
			
			// Retour du balayage écran
			SMS_waitForVBlank();
			
			// Modification de la position du sprite 0 en fonction de la variable
			// Position_X
			SMS_updateSpritePosition (0, Position_X, 16);
			
			// On affiche les sprites à l'écran
			SMS_copySpritestoSAT ();
		}
}
 